<?php
	class ImpostoController extends ImpostoModel {
		private $nome;
		private $taxa;
		private $codigoTaxa;
		private $motivoIsencao;
		private $descricaoDocumento;

		public function __construct($nome, $taxa, $codigoTaxa, $motivoIsencao, $descricaoDocumento){
			$this->nome = $nome;
			$this->taxa = $taxa;
			$this->codigoTaxa = $codigoTaxa;
			$this->motivoIsencao = $motivoIsencao;
			$this->descricaoDocumento = $descricaoDocumento;
		}

		public function createImposto(){
			$result = $this->insertImposto($this->nome, $this->taxa, $this->codigoTaxa, $this->motivoIsencao, $this->descricaoDocumento);
			return $result;
		}

		public function updateImposto($idImposto){
			$result = $this->editImposto($idImposto, $this->nome, $this->taxa, $this->codigoTaxa, $this->motivoIsencao, $this->descricaoDocumento);
			return $result;
		}

	}